Subject: Node Requirements status

From: [email-masked]
Date: Wed, 23 Oct 2002 06:39:57 +0300

Hi all,

The nodes requirement draft has a number of issus to be addressed, so I would
like to send a list of open issues & then send possible resolutions to the
issues in seperate mails.

	1) What is the correct level of support for MLD?  Should MLDv2 be supported as well?
	2) MIPv6 draft suggestions for Node requirements be accepted?
	3) How to suppor Site Local Addresses.
	4) Some issues that have come-up during Address Scoping discussion.
	5) Anything needed to be captured Address Architecture document implications
	6) Default Address Selection level of support.
	7) Sub-IP layers (IP over Foo) - should all be included, or just one or two?
	8) Support for DNS (is it a MUST)?  Support for DNS discovery / DHCP?
	9) Are Transition mechanisms mandatory; is support for IPv4 mandatory?
	10) What level of detail is needed for MIBs in the document?
	11) Requirements language (MUST/SHOULD/MAY, etc.) needs discussion.

So, I will try to send out today at least suggestions on a number of the points,
but please speak up as to what you would like to see the addressed in the document.

br,
John

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: Brian Haberman <[email-masked]>
Date: Wed, 23 Oct 2002 07:27:07 -0400

Hi John,

> 	1) What is the correct level of support for MLD?  Should MLDv2 be supported as well?

MLDv2 has been submitted to the IESG.  Given that, MLDv2 is the
correct level of support.

> 	3) How to suppor Site Local Addresses.

A node is only required to support being in 1 site.  The issues with
multi-sited nodes is too complex to make a mandatory feature.  By
supporting 1 site, the node can treat the site local addresses as
globals.

> 	7) Sub-IP layers (IP over Foo) - should all be included, or just one or two?

Given that new layer-2 technologies will appear and future docs may/will
define how IPv6 runs over those layers, I would suggest using generic
text that says that if a vendor wants to support IPv6 over a particular
L2, then they must implement the IPv6-over-foo spec for that L2.  Then
I would give a few examples (IPv6-over-ethernet, etc.).

> 	10) What level of detail is needed for MIBs in the document?

It would be nice if the node requirements pointed out the version
independent MIBs that are in progress.  But, I don't think we want to
hold up this spec on those specs.

> but please speak up as to what you would like to see the addressed in the document.

It would be nice to get some more details on some of these open issues

Regards,
Brian